sla_gerpvgrw.f(3)

NAME
sla_gerpvgrw.f -

SYNOPSIS

  Functions/Subroutines
REAL function sla_gerpvgrw (N, NCOLS, A, LDA, AF, LDAF)
SLA_GERPVGRW

Function/Subroutine Documentation

  REAL function sla_gerpvgrw (integerN, integerNCOLS, real, dimension( lda, * )A, integerLDA, real, dimension( ldaf, * )AF, integerLDAF)

SLA_GERPVGRW

Purpose:

     SLA_GERPVGRW computes the reciprocal pivot growth factor
     norm(A)/norm(U). The "max absolute element" norm is used. If this is
     much less than 1, the stability of the LU factorization of the
     (equilibrated) matrix A could be poor. This also means that the
     solution X, estimated condition numbers, and error bounds could be
     unreliable.

Parameters:
    N

              N is INTEGER
         The number of linear equations, i.e., the order of the
         matrix A.  N >= 0.

    NCOLS

              NCOLS is INTEGER
         The number of columns of the matrix A. NCOLS >= 0.

    A

              A is REAL array, dimension (LDA,N)
         On entry, the N-by-N matrix A.

    LDA

              LDA is INTEGER
         The leading dimension of the array A.  LDA >= max(1,N).

    AF

              AF is REAL array, dimension (LDAF,N)
         The factors L and U from the factorization
         A = P*L*U as computed by SGETRF.

    LDAF

              LDAF is INTEGER
         The leading dimension of the array AF.  LDAF >= max(1,N).

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2011

Definition at line 98 of file sla_gerpvgrw.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.